Oracle E-Business Suite Multiple Vulnerabilities (Jan 2020 CPU)

2020-01-24T00:00:00
ID ORACLE_E-BUSINESS_CPU_JAN_2020.NASL
Type nessus
Reporter This script is Copyright (C) 2020 and is owned by Tenable, Inc. or an Affiliate thereof.
Modified 2020-10-02T00:00:00

Description

The version of Oracle E-Business installed on the remote host is missing the January 2020 Oracle Critical Patch Update (CPU). It is, as noted in the January 2020 Critical Patch Update advisory, affected by flaws in the following components :

  • Oracle Human Resources
  • Oracle CRM Technical Foundation
  • Oracle Email Center
  • Oracle Field Service
  • Oracle iStore
  • Oracle Web Applications Desktop Integrator
  • Oracle iSupport
  • Oracle Applications Framework
  • Oracle One-to-One Fulfillment

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

                                        
                                            #
# (C) Tenable Network Security, Inc.
#

include('compat.inc');

if (description)
{
  script_id(133213);
  script_version("1.2");
  script_cvs_date("Date: 2020/01/29");

  script_cve_id(
    "CVE-2020-2566",
    "CVE-2020-2582",
    "CVE-2020-2586",
    "CVE-2020-2587",
    "CVE-2020-2591",
    "CVE-2020-2596",
    "CVE-2020-2597",
    "CVE-2020-2603",
    "CVE-2020-2651",
    "CVE-2020-2652",
    "CVE-2020-2653",
    "CVE-2020-2657",
    "CVE-2020-2658",
    "CVE-2020-2661",
    "CVE-2020-2662",
    "CVE-2020-2665",
    "CVE-2020-2666",
    "CVE-2020-2667",
    "CVE-2020-2668",
    "CVE-2020-2669",
    "CVE-2020-2670",
    "CVE-2020-2671",
    "CVE-2020-2672"
  );

  script_name(english:"Oracle E-Business Suite Multiple Vulnerabilities (Jan 2020 CPU)");
  script_summary(english:"Checks for the January 2020 CPU.");

  script_set_attribute(attribute:"synopsis", value:
"A web application installed on the remote host is affected by multiple
vulnerabilities.");
  script_set_attribute(attribute:"description", value:
"The version of Oracle E-Business installed on the remote host is
missing the January 2020 Oracle Critical Patch Update (CPU). It is,
as noted in the January 2020 Critical Patch Update advisory, affected
by flaws in the following components :

  - Oracle Human Resources
  - Oracle CRM Technical Foundation
  - Oracle Email Center
  - Oracle Field Service
  - Oracle iStore
  - Oracle Web Applications Desktop Integrator
  - Oracle iSupport
  - Oracle Applications Framework
  - Oracle One-to-One Fulfillment

Note that Nessus has not tested for these issues but has instead
relied only on the application's self-reported version number.");
  script_set_attribute(attribute:"see_also", value:"https://www.oracle.com/security-alerts/cpujan2020.html");
  script_set_attribute(attribute:"solution", value:
"Apply the appropriate patch according to the January 2020 Oracle Critical Patch Update advisory.");
  script_set_cvss_base_vector("CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P");
  script_set_cvss_temporal_vector("CVSS2#E:U/RL:OF/RC:C");
  script_set_cvss3_base_vector("CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:L");
  script_set_cvss3_temporal_vector("CVSS:3.0/E:U/RL:O/RC:C");
  script_set_attribute(attribute:"cvss_score_source", value:"CVE-2020-2587");

  script_set_attribute(attribute:"exploitability_ease", value:"No known exploits are available");

  script_set_attribute(attribute:"vuln_publication_date", value:"2020/01/14");
  script_set_attribute(attribute:"patch_publication_date", value:"2020/01/14");
  script_set_attribute(attribute:"plugin_publication_date", value:"2020/01/24");

  script_set_attribute(attribute:"plugin_type", value:"remote");
  script_set_attribute(attribute:"cpe", value:"cpe:/a:oracle:e-business_suite");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_family(english:"Misc.");

  script_copyright(english:"This script is Copyright (C) 2020 and is owned by Tenable, Inc. or an Affiliate thereof.");

  script_dependencies("oracle_e-business_query_patch_info.nbin");
  script_require_keys("Oracle/E-Business/Version", "Oracle/E-Business/patches/installed");

  exit(0);
}

include('audit.inc');
include('global_settings.inc');
include('misc_func.inc');

version = get_kb_item_or_exit('Oracle/E-Business/Version');
patches = get_kb_item_or_exit('Oracle/E-Business/patches/installed');

# Batch checks
if (patches) patches = split(patches, sep:',', keep:FALSE);
else patches = make_list();

p12_1 = '30445462';
p12_2 = '30445472';

# Check if the installed version is an affected version
affected_versions = make_array(
  '12.1.1', make_list(p12_1),
  '12.1.2', make_list(p12_1),
  '12.1.3', make_list(p12_1),

  '12.2.3', make_list(p12_2),
  '12.2.4', make_list(p12_2),
  '12.2.5', make_list(p12_2),
  '12.2.6', make_list(p12_2),
  '12.2.7', make_list(p12_2),
  '12.2.8', make_list(p12_2),
  '12.2.9', make_list(p12_2)
);
patched = FALSE;
affectedver = FALSE;

if (affected_versions[version])
{
  affectedver = TRUE;
  patchids = affected_versions[version];
  foreach required_patch (patchids)
  {
    foreach applied_patch (patches)
    {
      if(required_patch == applied_patch)
      {
        patched = applied_patch;
        break;
      }
    }
    if(patched) break;
  }
  if(!patched) patchreport = join(patchids, sep:' or ');
}

if (!patched && affectedver)
 {
  report =
      '\n  Installed version : ' + version +
      '\n  Fixed version     : ' + version + ' Patch ' + patchreport +
      '\n';
    security_report_v4(port:0,extra:report,severity:SECURITY_WARNING);
}
else if (!affectedver) audit(AUDIT_INST_VER_NOT_VULN, 'Oracle E-Business', version);
else exit(0, 'The Oracle E-Business server ' + version + ' is not affected because patch ' + patched + ' has been applied.');